# Gimp.adaptive_supersample_area

    function adaptive_supersample_area(x1: Number(gint), y1: Number(gint), x2: Number(gint), y2: Number(gint), max_depth: Number(gint), threshold: Number(gdouble), render_func: Gimp.RenderFunc, put_pixel_func: Gimp.PutPixelFunc, progress_func: Gimp.ProgressFunc): Number(gulong) {
        // Gjs wrapper for gimp_adaptive_supersample_area()
    }

x1

  left x coordinate of the area to process.

y1

  top y coordinate of the area to process.

x2

  right x coordinate of the area to process.

y2

  bottom y coordinate of the area to process.

max_depth

  maximum depth of supersampling.

threshold

  lower threshold of pixel difference that stops supersampling.

render_func

  function calculate the color value at given coordinates.

put_pixel_func

  function to a pixels to a color at given coordinates.

progress_func

  function to report progress.

Returns

  the number of pixels processed.